package cd.casic.ci.process.util.vulInfo;


import cd.casic.ci.process.dto.req.vulInfo.VulInfoDto;
import cd.casic.ci.process.process.dataObject.volumnInfo.VulInfo;
import org.springframework.beans.BeanUtils;

public class BeanUtil {

    public static VulInfoDto ConvertVulInfoToVulInfoDto(VulInfo vulInfo) {
        VulInfoDto vulInfoDto = new VulInfoDto();
        BeanUtils.copyProperties(vulInfo,vulInfoDto);
        if (vulInfo.getIsOpenSource()){
            vulInfoDto.setIsOpenSource("开源");
        }else {
            vulInfoDto.setIsOpenSource("非开源");
        }
        vulInfoDto.setSeverity(
            (vulInfo.getSeverity() == 3)? "高" :
                ((vulInfo.getSeverity() == 2)? "中" :
                    ((vulInfo.getSeverity() == 1)? "低" : null))
        );
        if (vulInfo.getLevel()){
            vulInfoDto.setIsOpenSource("可利用");
        }else {
            vulInfoDto.setIsOpenSource("不可利用");
        }

        vulInfoDto.setTargetType(vulInfo.getTargetType());
        return vulInfoDto;
    }
}
